Bug 1183218 - Review Request: perl-Crypt-Random-TESHA2 - Random numbers using timer/schedule entropy
Summary: Review Request: perl-Crypt-Random-TESHA2 - Random numbers using timer/schedul...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Paul Howarth
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: perl-Number-Format 672246
Blocks: 1183255
TreeView+ depends on / blocked
 
Reported: 2015-01-17 09:04 UTC by David Dick
Modified: 2015-03-28 18:37 UTC (History)
2 users (show)

Fixed In Version: perl-Crypt-Random-TESHA2-0.01-1.el7
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-02-03 12:01:28 UTC
paul: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description David Dick 2015-01-17 09:04:01 UTC
Spec URL: https://ddick.fedorapeople.org/packages/perl-Crypt-Random-TESHA2.spec
SRPM URL: https://ddick.fedorapeople.org/packages/perl-Crypt-Random-TESHA2-0.01-1.fc20.src.rpm
Description: Random numbers using timer/schedule entropy
Fedora Account System Username: ddick

Comment 2 Paul Howarth 2015-01-20 20:37:09 UTC
Quick comment: the conditional you've used for using the bundled Statistics::Basic will trigger on Fedora, whilst I suspect you just wanted it for EL6/7.

You have:
%if 0%{?rhel} <= 7

This is true of Fedora where %rhel is undefined.

I think you want something more like:
%if 0%{?rhel:1} && 0%{?rhel} <= 7

Or I suppose you could get away with:
%if 0%{?fedora}%{?rhel} <= 7
but that might suggest to readers that the package might build on ancient Fedora versions.

Having said all that, I really think you should drop the bundling and request branches of perl-Statistics-Basic for EPEL-6/7 and use those instead. I've tried building the current devel version for EPEL-6 and that works with a minor spec change:

--- a/perl-Statistics-Basic.spec
+++ b/perl-Statistics-Basic.spec
@@ -8,7 +8,7 @@ URL:            http://search.cpan.org/dist/Statistics-Basic/
 Source0:        http://www.cpan.org/authors/id/J/JE/JETTERO/Statistics-Basic-%{version}.tar.gz
 BuildArch:      noarch
 BuildRequires:  perl
-BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
+BuildRequires:  perl(ExtUtils::MakeMaker)
 BuildRequires:  perl(strict)
 BuildRequires:  perl(warnings)
 # Run-time
@@ -43,11 +43,12 @@ my $correlation = correlation( [1 .. 3], [1 .. 3] );
 %setup -q -n Statistics-Basic-%{version}
 
 %build
-perl Makefile.PL INSTALLDIRS=perl NO_PACKLIST=1
+perl Makefile.PL INSTALLDIRS=perl
 make %{?_smp_mflags}
 
 %install
 make pure_install PERL_INSTALL_ROOT=$RPM_BUILD_ROOT
+find $RPM_BUILD_ROOT -name .packlist -exec rm {} \;
 %{_fixperms} $RPM_BUILD_ROOT/*
 
 %check

EPEL-7 would also need perl-Number-Format branching, which I haven't tried but wouldn't anticipate being a problem.

Comment 3 David Dick 2015-01-21 06:24:26 UTC
Yup, will do.  perl-Number-Format builds fine in EL7.  i've resubmitted the spec file and srpm at the above address with the patch removed.

Comment 4 Paul Howarth 2015-01-23 19:51:28 UTC
Review
======

rpmlint output
==============
perl-Crypt-Random-TESHA2.noarch: W: spelling-error %description -l en_US jitter -> hitter, jotter, jitters
perl-Crypt-Random-TESHA2.src: W: spelling-error %description -l en_US jitter -> hitter, jotter, jitters

checklist
=========
- rpmlint OK
- package and spec file naming OK
- package meets guidelines
- license is same as perl, OK for Fedora, spec matches
- upstream LICENSE file packaged
- spec file written in English and is legible
- source matches upstream
- package builds OK in mock for Rawhide x86_64
- buildreqs OK
- no locales, libraries etc. to worry about
- package is not intended to be relocatable
- directory ownership and permissions OK
- no duplicate files
- macro usage is consistent
- code, not content
- no large docs, docs don't affect runtime
- no sub-packages present or warranted
- not a GUI app, no desktop file needed
- filenames are all ASCII

notes
=====
BR: perl(Config) only seems to be used in examples/threads.pl so is probably not needed

Consider using %license LICENSE for EPEL-7 and all Fedora releases

Package APPROVED.

Comment 5 David Dick 2015-01-23 20:06:13 UTC
Thanks Paul.  I've removed perl(Config).

New Package SCM Request
=======================
Package Name: perl-Crypt-Random-TESHA2
Short Description: Random numbers using timer/schedule entropy
Upstream URL: http://search.cpan.org/dist/Crypt-Random-TESHA2/
Owners: ddick
Branches: f20, f21, el6, epel7
InitialCC: perl-sig

Comment 6 Gwyn Ciesla 2015-01-23 20:32:14 UTC
Git done (by process-git-requests).

Comment 7 Fedora Update System 2015-01-23 21:20:44 UTC
perl-Crypt-Random-TESHA2-0.01-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/perl-Crypt-Random-TESHA2-0.01-1.fc21

Comment 8 Fedora Update System 2015-01-23 21:21:13 UTC
perl-Crypt-Random-TESHA2-0.01-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/perl-Crypt-Random-TESHA2-0.01-1.fc20

Comment 9 Fedora Update System 2015-01-26 02:34:04 UTC
perl-Crypt-Random-TESHA2-0.01-1.fc21 has been pushed to the Fedora 21 testing repository.

Comment 10 Fedora Update System 2015-02-03 12:01:28 UTC
perl-Crypt-Random-TESHA2-0.01-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 11 Fedora Update System 2015-02-03 12:05:26 UTC
perl-Crypt-Random-TESHA2-0.01-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 12 Fedora Update System 2015-02-14 08:08:39 UTC
perl-Crypt-Random-TESHA2-0.01-1.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/perl-Crypt-Random-TESHA2-0.01-1.el6

Comment 13 Fedora Update System 2015-03-08 22:48:24 UTC
perl-Crypt-Random-TESHA2-0.01-1.el6 has been pushed to the Fedora EPEL 6 stable repository.

Comment 14 Fedora Update System 2015-03-08 23:16:39 UTC
perl-Crypt-Random-TESHA2-0.01-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/perl-Crypt-Random-TESHA2-0.01-1.el7

Comment 15 Fedora Update System 2015-03-28 18:37:12 UTC
perl-Crypt-Random-TESHA2-0.01-1.el7 has been pushed to the Fedora EPEL 7 stable repository.


Note You need to log in before you can comment on or make changes to this bug.